$(function()
{
    $(document).on('click', '.addItem', function()
    {
        $(this).parents('tr').after(v.itemRow.replace(/KEY/g, v.key));
        $(this).parents('tr').next().find('.chosen').chosen(chosenDefaultOptions);
        v.key++;
    });

    $(document).on('click', '.delItem', function()
    {
        if($('.delItem').length == 1)
        {
            $(this).parents('tr').find('input,select').val('');
            $(this).parents('tr').find('.chosen').trigger('chosen:updated');
            return false;
        }

        $(this).parents('tr').remove();
    });
});
